Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.XFAWidgetModifyInfo Class Reference

## Public Member Functions
| constructor ()
| Constructor.

## Public Attributes
page_index | __pad0__: number element: number attribute_type
| The page index.
| event_type
| The XFA event type. Please refer to values starting from FSDK.XFADoc.e_EventTypeUnknown and this would be one of these values.
| new_value
| The new value.
| old_value
| The old value.
| widget_name
| The xfa widget name.

## Static Public Attributes
static | e_WidgetAttributeTypeAccess
| Widget attribute type: Access.
static | e_WidgetAttributeTypeAllowRichText
| Widget attribute type: Allow rich text.
static | e_WidgetAttributeTypeBaselineShift
| Widget attribute type: Baseline shift.
static | e_WidgetAttributeTypeBorderColor
| Widget attribute type: Border color.
static | e_WidgetAttributeTypeBorderWidth
| Widget attribute type: Border width.
static | e_WidgetAttributeTypeBottomInset
| Widget attribute type: Bottom inset.
static | e_WidgetAttributeTypeFillColor
| Widget attribute type: Fill color.
static | e_WidgetAttributeTypeFontColor
| Widget attribute type: Font color.
static | e_WidgetAttributeTypeFontHorizontalScale
| Widget attribute type: Font horizontal scale.
static | e_WidgetAttributeTypeFracDigits
| Widget attribute type: Frac digits.
static | e_WidgetAttributeTypeH
| Enumeration for XFA event type. More...
static | e_WidgetAttributeTypeLayout
| Widget attribute type: Layout.
static | e_WidgetAttributeTypeLeadDigits
| Widget attribute type: Lead digits.
static | e_WidgetAttributeTypeLeftInset
| Widget attribute type: Left inset.
static | e_WidgetAttributeTypeLetterSpacing
| Widget attribute type: Letter spacing.
static | e_WidgetAttributeTypeLineHAlign
| Widget attribute type: Horizontal text alignment control.
static | e_WidgetAttributeTypeLineHeight
| Widget attribute type: Line height.
static | e_WidgetAttributeTypeLineThrough
| Widget attribute type: Line through.
static | e_WidgetAttributeTypeLineThroughPeriod
| Widget attribute type: Line through period.
static | e_WidgetAttributeTypeLocale
| Widget attribute type: Locale.
static | e_WidgetAttributeTypeMarginLeft
| Widget attribute type: Margin left digits.
static | e_WidgetAttributeTypeMarginRight
| Widget attribute type: Margin right.
static | e_WidgetAttributeTypeMaxH
| Widget attribute type: Max H.
static | e_WidgetAttributeTypeMaxW
| Widget attribute type: Max W.
static | e_WidgetAttributeTypeMinH
| Widget attribute type: Min H.
static | e_WidgetAttributeTypeMinW
| Widget attribute type: Min W.
static | e_WidgetAttributeTypeMultiLine
| Widget attribute type: Multiline.
static | e_WidgetAttributeTypeNumberOfCells
| Widget attribute type: Number of cells.
static | e_WidgetAttributeTypeOverline
| Widget attribute type: Overline.
static | e_WidgetAttributeTypeOverlinePeriod
| Widget attribute type: Overline period.
static | e_WidgetAttributeTypePasswordChar
| Widget attribute type: Password char.
static | e_WidgetAttributeTypePlacement
| Widget attribute type: Placement.
static | e_WidgetAttributeTypePresence
| Widget attribute type: Presence.
static | e_WidgetAttributeTypeRightInset
| Widget attribute type: Right inset.
static | e_WidgetAttributeTypeRotate
| Widget attribute type: Rotate.
static | e_WidgetAttributeTypeShape
| Widget attribute type: Shape.
static | e_WidgetAttributeTypeSpaceAbove
| Widget attribute type: Space above.
static | e_WidgetAttributeTypeSpaceBelow
| Widget attribute type: Space below.
static | e_WidgetAttributeTypeStroke
| Widget attribute type: Stroke.
static | e_WidgetAttributeTypeTextEncoding
| Widget attribute type: Text encoding.
static | e_WidgetAttributeTypeTextIndent
| Widget attribute type: Text intent.
static | e_WidgetAttributeTypeTopInset
| Widget attribute type: Top inset.
static | e_WidgetAttributeTypeTypeface
| Widget attribute type: Type face.
static | e_WidgetAttributeTypeUnderline
| Widget attribute type: Underline.
static | e_WidgetAttributeTypeUnderlinePeriod
| Widget attribute type: Underline period.
static | e_WidgetAttributeTypeUnknown
| Widget attribute type: Unknown.
static | e_WidgetAttributeTypeVAlign
| Widget attribute type: Vertical text alignment control.
static | e_WidgetAttributeTypeValue
| Widget attribute type: Value.
static | e_WidgetAttributeTypeW
| Widget attribute type: W. Width for layout purposes.
static | e_WidgetAttributeTypeWeight
| Widget attribute type: Weight.
static | e_WidgetAttributeTypeX
| Widget attribute type: X. X coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
static | e_WidgetAttributeTypeY
| Widget attribute type: Y. Y coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
static | e_WidgetElementAccessibleContent
| XFA widget element: Accessible content.
static | e_WidgetElementAcrobat
| XFA widget element: Acrobat.
static | e_WidgetElementAcrobat7
| XFA widget element: Acrobat7.
static | e_WidgetElementADBE_JSConsole
| XFA widget element: ADBE_JSConsole.
static | e_WidgetElementADBE_JSDebugger
| XFA widget element: ADBE JS Debugger.
static | e_WidgetElementAddSilentPrint
| XFA widget element: Add silent print.
static | e_WidgetElementAddViewerPreferences
| XFA widget element: Add viewer preferences.
static | e_WidgetElementAdjustData
| XFA widget element: Adjust data.
static | e_WidgetElementAdobeExtensionLevel
| XFA widget element: Adobe extension level.
static | e_WidgetElementAgent
| XFA widget element: Agent.
static | e_WidgetElementAlwaysEmbed
| XFA widget element: Always embed.
static | e_WidgetElementAmd
| XFA widget element: Amd.
static | e_WidgetElementAppearanceFilter
| XFA widget element: Appearance filter.
static | e_WidgetElementArc
| XFA widget element: Arc.
static | e_WidgetElementArea
| XFA widget element: Area.
static | e_WidgetElementAssist
| XFA widget element: Assist.
static | e_WidgetElementAttributes
| XFA widget element: Attributes.
static | e_WidgetElementAutoSave
| XFA widget element: Auto save.
static | e_WidgetElementBarcode
| XFA widget element: Barcode.
static | e_WidgetElementBase
| XFA widget element: Base.
static | e_WidgetElementBatchOutput
| XFA widget element: Batch output.
static | e_WidgetElementBehaviorOverride
| XFA widget element: Behavior override.
static | e_WidgetElementBind
| XFA widget element: bind.
static | e_WidgetElementBindItems
| XFA widget element: Bind items.
static | e_WidgetElementBookend
| XFA widget element: Bookend.
static | e_WidgetElementBoolean
| XFA widget element: Boolean.
static | e_WidgetElementBorder
| XFA widget element: Border.
static | e_WidgetElementBreak
| XFA widget element: Break.
static | e_WidgetElementBreakAfter
| XFA widget element: Break after.
static | e_WidgetElementBreakBefore
| XFA widget element: Break before.
static | e_WidgetElementButton
| XFA widget element: Button.
static | e_WidgetElementCache
| XFA widget element: Cache.
static | e_WidgetElementCalculate
| XFA widget element: Calculate.
static | e_WidgetElementCalendarSymbols
| XFA widget element: Calendar symbols.
static | e_WidgetElementCaption
| XFA widget element: Caption.
static | e_WidgetElementCertificate
| XFA widget element: Certificate.
static | e_WidgetElementCertificates
| XFA widget element: Certificates.
static | e_WidgetElementChange
| XFA widget element: Change.
static | e_WidgetElementCheckButton
| XFA widget element: Check button.
static | e_WidgetElementChoiceList
| XFA widget element: Choice list.
static | e_WidgetElementColor
| XFA widget element: Color.
static | e_WidgetElementComb
| XFA widget element: Comb.
static | e_WidgetElementCommand
| XFA widget element: Command.
static | e_WidgetElementCommon
| XFA widget element: Common.
static | e_WidgetElementCompress
| XFA widget element: Compress.
static | e_WidgetElementCompression
| XFA widget element: compression.
static | e_WidgetElementCompressLogicalStructure
| XFA widget element: Compress logical structure.
static | e_WidgetElementCompressObjectStream
| XFA widget element: Compress object stream.
static | e_WidgetElementConfig
| XFA widget element: Config.
static | e_WidgetElementConformance
| XFA widget element: Conformance.
static | e_WidgetElementConnect
| XFA widget element: Connect.
static | e_WidgetElementConnectionSet
| XFA widget element: Connection set.
static | e_WidgetElementConnectString
| XFA widget element: Connect string.
static | e_WidgetElementContentArea
| XFA widget element: Content area.
static | e_WidgetElementContentCopy
| XFA widget element: Content copy.
static | e_WidgetElementCopies
| XFA widget element: Copies.
static | e_WidgetElementCorner
| XFA widget element: Corner.
static | e_WidgetElementCreator
| XFA widget element: Creator.
static | e_WidgetElementCurrencySymbol
| XFA widget element: Currency symbol.
static | e_WidgetElementCurrencySymbols
| XFA widget element: Currency symbols.
static | e_WidgetElementCurrentPage
| XFA widget element: Current page.
static | e_WidgetElementData
| XFA widget element: Data.
static | e_WidgetElementDataGroup
| XFA widget element: Data group.
static | e_WidgetElementDataModel
| XFA widget element: Data model.
static | e_WidgetElementDataValue
| XFA widget element: Data value.
static | e_WidgetElementDataWindow
| XFA widget element: Data window.
static | e_WidgetElementDate
| XFA widget element: Date.
static | e_WidgetElementDatePattern
| XFA widget element: Pattern.
static | e_WidgetElementDatePatterns
| XFA widget element: Date patterns.
static | e_WidgetElementDateTime
| XFA widget element: Ps.
static | e_WidgetElementDateTimeEdit
| XFA widget element: Date time edit.
static | e_WidgetElementDateTimeSymbols
| XFA widget element: Date time symbols.
static | e_WidgetElementDay
| XFA widget element: Day.
static | e_WidgetElementDayNames
| XFA widget element: Day names.
static | e_WidgetElementDebug
| XFA widget element: Debug.
static | e_WidgetElementDecimal
| XFA widget element: Decimal.
static | e_WidgetElementDefaultTypeface
| XFA widget element: Default typeface.
static | e_WidgetElementDefaultUi
| XFA widget element: Default Ui.
static | e_WidgetElementDelete
| XFA widget element: Delete.
static | e_WidgetElementDelta
| XFA widget element: Delta.
static | e_WidgetElementDeltas
| XFA widget element: Deltas.
static | e_WidgetElementDesc
| XFA widget element: Desc.
static | e_WidgetElementDestination
| XFA widget element: Destination.
static | e_WidgetElementDigestMethod
| XFA widget element: Digest method.
static | e_WidgetElementDigestMethods
| XFA widget element: Digest methods.
static | e_WidgetElementDocumentAssembly
| XFA widget element: Document assembly.
static | e_WidgetElementDraw
| XFA widget element: Draw.
static | e_WidgetElementDriver
| XFA widget element: Driver.
static | e_WidgetElementDSigData
| XFA widget element: D sig data.
static | e_WidgetElementDuplexOption
| XFA widget element: Duplex option.
static | e_WidgetElementDynamicRender
| XFA widget element: Dynamic render.
static | e_WidgetElementEdge
| XFA widget element: Edge.
static | e_WidgetElementEffectiveInputPolicy
| XFA widget element: Effective input policy.
static | e_WidgetElementEffectiveOutputPolicy
| XFA widget element: Effective output policy.
static | e_WidgetElementEmbed
| XFA widget element: Embed.
static | e_WidgetElementEncoding
| XFA widget element: Encoding.
static | e_WidgetElementEncodings
| XFA widget element: Encodings.
static | e_WidgetElementEncrypt
| XFA widget element: Encrypt.
static | e_WidgetElementEncryptData
| XFA widget element: Encrypt data.
static | e_WidgetElementEncryption
| XFA widget element: Encryption.
static | e_WidgetElementEncryptionLevel
| XFA widget element: Encryption level.
static | e_WidgetElementEncryptionMethod
| XFA widget element: Encryption method.
static | e_WidgetElementEncryptionMethods
| XFA widget element: Encrypt methods.
static | e_WidgetElementEnforce
| XFA widget element: Enforce.
static | e_WidgetElementEquate
| XFA widget element: Equate.
static | e_WidgetElementEquateRange
| XFA widget element: Equate range.
static | e_WidgetElementEra
| XFA widget element: Era.
static | e_WidgetElementEraNames
| XFA widget element: Era names.
static | e_WidgetElementEvent
| XFA widget element: Event.
static | e_WidgetElementEventPseudoModel
| XFA widget element: Event pseudo model.
static | e_WidgetElementExclGroup
| XFA widget element: Excl group.
static | e_WidgetElementExclude
| XFA widget element: Exclude.
static | e_WidgetElementExcludeNS
| XFA widget element: Exclude NS.
static | e_WidgetElementExData
| XFA widget element: Ex data.
static | e_WidgetElementExecute
| XFA widget element: Execute.
static | e_WidgetElementExObject
| XFA widget element: Ex object.
static | e_WidgetElementExtras
| XFA widget element: Extras.
static | e_WidgetElementField
| XFA widget element: Field.
static | e_WidgetElementFill
| XFA widget element: Fill.
static | e_WidgetElementFilter
| XFA widget element: Filter.
static | e_WidgetElementFlipLabel
| XFA widget element: Flip label.
static | e_WidgetElementFloat
| XFA widget element: Float.
static | e_WidgetElementFont
| XFA widget element: Font.
static | e_WidgetElementFontInfo
| XFA widget element: Font info.
static | e_WidgetElementForm
| XFA widget element: Form.
static | e_WidgetElementFormat
| XFA widget element: Format.
static | e_WidgetElementFormFieldFilling
| XFA widget element: Form field filling.
static | e_WidgetElementGroupParent
| XFA widget element: Group parent.
static | e_WidgetElementHandler
| XFA widget element: Handler.
static | e_WidgetElementHostPseudoModel
| XFA widget element: Host pseudo model.
static | e_WidgetElementHyphenation
| XFA widget element: Hyphenation.
static | e_WidgetElementIfEmpty
| XFA widget element: If empty.
static | e_WidgetElementImage
| XFA widget element: Image.
static | e_WidgetElementImageEdit
| XFA widget element: Image edit.
static | e_WidgetElementIncludeXDPContent
| XFA widget element: XDP content.
static | e_WidgetElementIncrementalLoad
| XFA widget element: Incremental load.
static | e_WidgetElementIncrementalMerge
| XFA widget element: Incremental merge.
static | e_WidgetElementInsert
| XFA widget element: Insert.
static | e_WidgetElementInstanceManager
| XFA widget element: Instance manager.
static | e_WidgetElementInteger
| XFA widget element: Integer.
static | e_WidgetElementInteractive
| XFA widget element: Interactive.
static | e_WidgetElementIssuers
| XFA widget element: Issuers.
static | e_WidgetElementItems
| XFA widget element: Items.
static | e_WidgetElementJog
| XFA widget element: Jog.
static | e_WidgetElementKeep
| XFA widget element: Keep.
static | e_WidgetElementKeyUsage
| XFA widget element: Key usage.
static | e_WidgetElementLabelPrinter
| XFA widget element: Label printer.
static | e_WidgetElementLayout
| XFA widget element: Layout.
static | e_WidgetElementLayoutPseudoModel
| XFA widget element: Layout pseudo model.
static | e_WidgetElementLevel
| XFA widget element: Level.
static | e_WidgetElementLine
| XFA widget element: Line.
static | e_WidgetElementLinear
| XFA widget element: Linear.
static | e_WidgetElementLinearized
| XFA widget element: Linearized.
static | e_WidgetElementList
| XFA widget element: List.
static | e_WidgetElementLocale
| XFA widget element: Locale.
static | e_WidgetElementLocaleSet
| XFA widget element: Locale set.
static | e_WidgetElementLockDocument
| XFA widget element: Lock document.
static | e_WidgetElementLog
| XFA widget element: Log.
static | e_WidgetElementLogPseudoModel
| XFA widget element: Log pseudo model.
static | e_WidgetElementManifest
| XFA widget element: Manifest.
static | e_WidgetElementMap
| XFA widget element: Map.
static | e_WidgetElementMargin
| XFA widget element: Margin.
static | e_WidgetElementMdp
| XFA widget element: Mdp.
static | e_WidgetElementMedium
| XFA widget element: Medium.
static | e_WidgetElementMediumInfo
| XFA widget element: Medium info.
static | e_WidgetElementMeridiem
| XFA widget element: Meridiem.
static | e_WidgetElementMeridiemNames
| XFA widget element: Meridiem Names.
static | e_WidgetElementMessage
| XFA widget element: Message.
static | e_WidgetElementMessaging
| XFA widget element: Messaging.
static | e_WidgetElementMode
| XFA widget element: Mode.
static | e_WidgetElementModifyAnnots
| XFA widget element: Modify annots.
static | e_WidgetElementMonth
| XFA widget element: Month.
static | e_WidgetElementMonthNames
| XFA widget element: Month mames.
static | e_WidgetElementMsgId
| XFA widget element: Msg Id.
static | e_WidgetElementNameAttr
| XFA widget element: Name attr.
static | e_WidgetElementNeverEmbed
| XFA widget element: Never embed.
static | e_WidgetElementNodeList
| XFA widget element: Node list.
static | e_WidgetElementNumberOfCopies
| XFA widget element: Number of copies.
static | e_WidgetElementNumberPattern
| XFA widget element: Number pattern.
static | e_WidgetElementNumberPatterns
| XFA widget element: Number patterns.
static | e_WidgetElementNumberSymbol
| XFA widget element: Number symbol.
static | e_WidgetElementNumberSymbols
| XFA widget element: Number symbols.
static | e_WidgetElementNumericEdit
| XFA widget element: Numeric edit.
static | e_WidgetElementOccur
| XFA widget element: Occur.
static | e_WidgetElementOid
| XFA widget element: Oid.
static | e_WidgetElementOids
| XFA widget element: Oids.
static | e_WidgetElementOpenAction
| XFA widget element: Open action.
static | e_WidgetElementOperation
| XFA widget element: Operation.
static | e_WidgetElementOutput
| XFA widget element: Output.
static | e_WidgetElementOutputBin
| XFA widget element: Output bin.
static | e_WidgetElementOutputXSL
| XFA widget element: Output XSL.
static | e_WidgetElementOverflow
| XFA widget element: Overflow.
static | e_WidgetElementOverprint
| XFA widget element: Overprint.
static | e_WidgetElementPacket
| XFA widget element: Packet.
static | e_WidgetElementPackets
| XFA widget element: Packets.
static | e_WidgetElementPageArea
| XFA widget element: Page area.
static | e_WidgetElementPageOffset
| XFA widget element: Page offset.
static | e_WidgetElementPageRange
| XFA widget element: Page range.
static | e_WidgetElementPageSet
| XFA widget element: Page set.
static | e_WidgetElementPagination
| XFA widget element: Pagination.
static | e_WidgetElementPaginationOverride
| XFA widget element: Pagination override.
static | e_WidgetElementPara
| XFA widget element: Para.
static | e_WidgetElementPart
| XFA widget element: Part.
static | e_WidgetElementPassword
| XFA widget element: Password.
static | e_WidgetElementPasswordEdit
| XFA widget element: Password edit .
static | e_WidgetElementPattern
| XFA widget element: Pattern.
static | e_WidgetElementPcl
| XFA widget element: Pcl.
static | e_WidgetElementPdf
| XFA widget element: Pdf.
static | e_WidgetElementPdfa
| XFA widget element: Pdfa.
static | e_WidgetElementPermissions
| XFA widget element: Permissions.
static | e_WidgetElementPickTrayByPDFSize
| XFA widget element: Pick tray by PDF size.
static | e_WidgetElementPicture
| XFA widget element: Picture.
static | e_WidgetElementPlaintextMetadata
| XFA widget element: Plain text metadata.
static | e_WidgetElementPresence
| XFA widget element: Presence.
static | e_WidgetElementPresent
| XFA widget element: Present.
static | e_WidgetElementPrint
| XFA widget element: Print.
static | e_WidgetElementPrinterName
| XFA widget element: Printer name.
static | e_WidgetElementPrintHighQuality
| XFA widget element: Print high quality.
static | e_WidgetElementPrintScaling
| XFA widget element: Print scaling.
static | e_WidgetElementProducer
| XFA widget element: Producer.
static | e_WidgetElementProto
| XFA widget element: Proto.
static | e_WidgetElementPs
| Enumeration for the positon of XFA widget element. More...
static | e_WidgetElementPsMap
| XFA widget element: Ps Map.
static | e_WidgetElementQuery
| XFA widget element: Query.
static | e_WidgetElementRadial
| XFA widget element: Radial.
static | e_WidgetElementRange
| XFA widget element: Range.
static | e_WidgetElementReason
| XFA widget element: Reason.
static | e_WidgetElementReasons
| XFA widget element: Reasons.
static | e_WidgetElementRecord
| XFA widget element: Record.
static | e_WidgetElementRecordSet
| XFA widget element: Record set.
static | e_WidgetElementRectangle
| XFA widget element: rectangle.
static | e_WidgetElementRef
| XFA widget element: Ref.
static | e_WidgetElementRelevant
| XFA widget element: Relevant.
static | e_WidgetElementRename
| XFA widget element: Rename.
static | e_WidgetElementRenderPolicy
| XFA widget element: Render policy.
static | e_WidgetElementRootElement
| XFA widget element: Root element.
static | e_WidgetElementRunScripts
| XFA widget element: Run scripts.
static | e_WidgetElementScript
| XFA widget element: Script.
static | e_WidgetElementScriptModel
| XFA widget element: Script model.
static | e_WidgetElementSelect
| XFA widget element: Select.
static | e_WidgetElementSetProperty
| XFA widget element: Set property.
static | e_WidgetElementSeverity
| XFA widget element: Severity.
static | e_WidgetElementSharptext
| XFA widget element: Sharptext.
static | e_WidgetElementSharpxHTML
| XFA widget element: Sharpx HTML.
static | e_WidgetElementSharpxml
| XFA widget element: Sharpxml.
static | e_WidgetElementSignature
| XFA widget element: Signature.
static | e_WidgetElementSignatureProperties
| XFA widget element: Signature properties.
static | e_WidgetElementSignaturePseudoModel
| XFA widget element: Signature pseudo model.
static | e_WidgetElementSignData
| XFA widget element: Sign data.
static | e_WidgetElementSigning
| XFA widget element: Signing.
static | e_WidgetElementSilentPrint
| XFA widget element: slient print.
static | e_WidgetElementSoapAction
| XFA widget element: Soap action.
static | e_WidgetElementSoapAddress
| XFA widget element: Soap address.
static | e_WidgetElementSolid
| XFA widget element: Solid.
static | e_WidgetElementSource
| XFA widget element: Source.
static | e_WidgetElementSourceSet
| XFA widget element: Source set.
static | e_WidgetElementSpeak
| XFA widget element: Speak.
static | e_WidgetElementStaple
| XFA widget element: Staple.
static | e_WidgetElementStartNode
| XFA widget element: Start node.
static | e_WidgetElementStartPage
| XFA widget element: Start page.
static | e_WidgetElementStipple
| XFA widget element: Stipple.
static | e_WidgetElementSubform
| XFA widget element: Subform.
static | e_WidgetElementSubformSet
| XFA widget element: Subform set.
static | e_WidgetElementSubjectDN
| XFA widget element: DN.
static | e_WidgetElementSubjectDNs
| XFA widget element: DNs.
static | e_WidgetElementSubmit
| XFA widget element: Submit.
static | e_WidgetElementSubmitFormat
| XFA widget element: Submit format.
static | e_WidgetElementSubmitUrl
| XFA widget element: Submit Url.
static | e_WidgetElementSubsetBelow
| XFA widget element: Subset below.
static | e_WidgetElementSuppressBanner
| XFA widget element: Suppress banner.
static | e_WidgetElementTagged
| XFA widget element: Tagged.
static | e_WidgetElementTemplate
| XFA widget element: Template.
static | e_WidgetElementTemplateCache
| XFA widget element: Template cache.
static | e_WidgetElementText
| XFA widget element: Text.
static | e_WidgetElementTextEdit
| XFA widget element: Text edit.
static | e_WidgetElementThreshold
| XFA widget element: Threshold.
static | e_WidgetElementTime
| XFA widget element: Time.
static | e_WidgetElementTimePattern
| XFA widget element: Time pattern.
static | e_WidgetElementTimePatterns
| XFA widget element: Time patterns.
static | e_WidgetElementTimeStamp
| XFA widget element: Time stamp.
static | e_WidgetElementTo
| XFA widget element: To.
static | e_WidgetElementToolTip
| XFA widget element: Tool tip.
static | e_WidgetElementTrace
| XFA widget element: Trace.
static | e_WidgetElementTransform
| XFA widget element: Transform.
static | e_WidgetElementTraversal
| XFA widget element: traversal.
static | e_WidgetElementTraverse
| XFA widget element: Traverse.
static | e_WidgetElementType
| XFA widget element: Type.
static | e_WidgetElementTypeface
| XFA widget element: Type face.
static | e_WidgetElementTypefaces
| XFA widget element: Typefaces.
static | e_WidgetElementUi
| XFA widget element: Ui.
static | e_WidgetElementUpdate
| XFA widget element: Update.
static | e_WidgetElementUri
| XFA widget element: Uri.
static | e_WidgetElementUser
| XFA widget element: user.
static | e_WidgetElementValidate
| XFA widget element: Validate.
static | e_WidgetElementValidateApprovalSignatures
| XFA widget element: Validate approval signatures.
static | e_WidgetElementValidationMessaging
| XFA widget element: Validation messaging.
static | e_WidgetElementValue
| XFA widget element: Value.
static | e_WidgetElementVariables
| XFA widget element: Variables.
static | e_WidgetElementVersion
| XFA widget element: Version.
static | e_WidgetElementVersionControl
| XFA widget element: Version control.
static | e_WidgetElementViewerPreferences
| XFA widget element: Viewer preferences.
static | e_WidgetElementWebClient
| XFA widget element: Web client.
static | e_WidgetElementWhitespace
| XFA widget element: Whitespace.
static | e_WidgetElementWindow
| XFA widget element: Window.
static | e_WidgetElementWsdlAddress
| XFA widget element: Wsdl address.
static | e_WidgetElementWsdlConnection
| XFA widget element: Wsdl connection.
static | e_WidgetElementXdc
| XFA widget element: Xdc.
static | e_WidgetElementXdp
| XFA widget element: Xdp.
static | e_WidgetElementXfa
| XFA widget element: Xfa.
static | e_WidgetElementXmlConnection
| XFA widget element: Xml connection .
static | e_WidgetElementXMLData
| XFA widget element: XML data.
static | e_WidgetElementXsdConnection
| XFA widget element: Xsd connection.
static | e_WidgetElementXsl
| XFA widget element: Xsl.
static | e_WidgetElementZpl
| XFA widget element: Zpl.

## Member Data Documentation

## ◆ e_WidgetAttributeTypeH

FSDK.XFAWidgetModifyInfo.e_WidgetAttributeTypeH
| static

Enumeration for XFA event type.

Values of this enumeration should be used alone.

Widget attribute type: H. Height for layout purposes.

## ◆ e_WidgetElementPs

FSDK.XFAWidgetModifyInfo.e_WidgetElementPs
| static

Enumeration for the positon of XFA widget element.

Values of this enumeration should be used alone.

XFA widget element: Ps.